#include "p_apps.h"

#define __LOAD_SDRAM

#include "dsp\EchoInit.h"
#include "dsp\Echopage.h"
#include "dsp\Echoold.h"
#include "dsp\AGC2.h"

#include "dsp\dtmftone.h"
#include "dsp\cid.h"
#include "dsp\dtmfdec.h"

#include "dsp\F8KDATA.h"
#include "dsp\DTMFDATA.h"
#include "dsp\AGC2DATA.h"

void LoadMiscDsp()
{
	SdramLoadCompressedCode(ECHOINIT_CODE, 0x0bd0, ECHOINIT_COMPRESSED_SIZE);
	SdramLoadCompressedCode(ECHOPAGE_CODE, 0x0be0, ECHOPAGE_COMPRESSED_SIZE);
	SdramLoadCompressedCode(ECHOOLD_CODE, 0x0580, ECHOOLD_COMPRESSED_SIZE);

	SdramLoadCompressedCode(DTMFTONE_CODE, 0x0500+DTMFTONE_SDRAM_LO, DTMFTONE_COMPRESSED_SIZE);
	SdramLoadCompressedCode(CID_CODE, 0x0500+CID_SDRAM_LO, CID_COMPRESSED_SIZE);
	SdramLoadCompressedCode(DTMFDEC_CODE, 0x0900+DTMFDEC_SARAM_LO, DTMFDEC_COMPRESSED_SIZE);
	SdramLoadCompressedCode(AGC2_CODE, 0x15f0, AGC2_COMPRESSED_SIZE);

	SdramLoadData((PCCHAR)F8K_DATA, 0x0500+FILTER8K_DATA_SDRAM_LO, F8K_DATA_SIZE*2);
	SdramLoadData((PCCHAR)DTMF_DATA, 0x0500+DTMF_DATA_SDRAM_LO, DTMF_DATA_SIZE*2);		
	SdramLoadData((PCCHAR)AGC2_DATA, 0x05a0, AGC2_DATA_SIZE*2);	
}
